Update Memory Source
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/source/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"source_id": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"source": "<string>"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/source/update"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"source_id": "<string>",
"title": "<string>",
"description": "<string>",
"tags": ["<string>"],
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
source_id: '<string>',
title: '<string>',
description: '<string>',
tags: ['<string>'],
source: '<string>'
})
};
fetch('https://api.boostgpt.co/v1/bot/source/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"updated_at": "<string>",
"title": "<string>",
"description": "<string>",
"source": "<string>",
"tags": "<string>",
"sync_frequency": "<string>",
"forget_after": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Memory
Update Memory Source
Update an existing memory source
PUT
/
v1
/
bot
/
source
/
update
Update Memory Source
Authorizations
Enter your API key
Body
application/json
The project ID
The agent ID
The memory source ID to update
Updated title
Updated description
Updated tags
Updated source content
Updated forget duration
Available options:
1 day, 1 week, 2 weeks, 1 month, 3 months, 6 months, 1 year, never Updated sync frequency
Available options:
never, weekly, monthly Response
Memory source updated successfully
Memory source update response containing only the ID and updated fields
Memory source ID
Processing status (e.g., 'processing', 'success', 'failed')
Last update timestamp
Updated title (if changed)
Updated description (if changed)
Updated source URL (if changed)
Updated tags as JSON string (if changed)
Updated sync frequency (if changed)
Updated forget duration (if changed)
Was this page helpful?
⌘I